package ru.yandex.webmaster3.core.semantic.semantic_document_parser.struct_data.transformers;

/**
 * Created by IntelliJ IDEA.
 * User: rasifiel
 * Date: 13.11.13
 * Time: 6:28
 */
interface Transformer {

    boolean checkType(final Object o);

    Object transform(final Object o, final String sourceUrl);
}
